# This script is not intended to be executed directly.  It is sourced by test-runner.sh and most functions you see here are defined in test-tools.sh
# The variables EXENAME, EXEBASE, OKDIR, and EXEDIR are defined externally.

beginTestBlock  # Begin a group of tests.
runMake -r @EXE partition # run `make` for the main exe and any other listed programs

SAVEFILE=ProbabilityPlot_prep.pfs
MINIMUM=3
MAXIMUM=7

runCmd -r partition testFiles/testFile_RA7680.seq $SAVEFILE


############ PS TESTS ###############
EXT=.ps  # set extension for @OKFILE and @OUTFILE placeholders (defaults for runDiff)

# Test ProbabilityPlot_ps_without_options.
runFullTest 'ps_without_options'  $SAVEFILE @OUT.ps

# Test ProbabilityPlot_ps_entries_option.
runFullTest 'ps_entries_option'  $SAVEFILE @OUT.ps -e 3

# Test ProbabilityPlot_ps_log_option.
runFullTest 'ps_log_option'  ProbabilityPlot/ProbabilityPlot_text_option_OK.txt @OUT.ps --log10

# Test ProbabilityPlot_ps_matrix_option.
runFullTest 'ps_matrix_option'  testFiles/testFile_matrix.txt @OUT.ps --matrix

# Test ProbabilityPlot_ps_maximum_option.
runFullTest 'ps_maximum_option'  $SAVEFILE @OUT.ps -max $MAXIMUM

# Test ProbabilityPlot_ps_minimum_option.
runFullTest 'ps_minimum_option'  $SAVEFILE @OUT.ps -min $MINIMUM

############ SVG TESTS ###############
EXT=.svg  # set extension for @OKFILE and @OUTFILE placeholders (defaults for runDiff)

# Test ProbabilityPlot_svg_without_options.
runFullTest 'svg_without_options'  $SAVEFILE @OUT.svg --svg

# Test ProbabilityPlot_svg_entries_option.
runFullTest 'svg_entries_option'  $SAVEFILE @OUT.svg -e 3 --svg

# Test ProbabilityPlot_svg_log_option.
runFullTest 'svg_log_option'  ProbabilityPlot/ProbabilityPlot_text_option_OK.txt @OUT.svg --log10 --svg

# Test ProbabilityPlot_svg_matrix_option.
runFullTest 'svg_matrix_option'  testFiles/testFile_matrix.txt @OUT.svg --matrix --svg

# Test ProbabilityPlot_svg_maximum_option.
runFullTest 'svg_maximum_option'  $SAVEFILE @OUT.svg -max $MAXIMUM --svg

# Test ProbabilityPlot_svg_minimum_option.
runFullTest 'svg_minimum_option'  $SAVEFILE @OUT.svg -min $MINIMUM --svg

############ TXT TESTS ###############
EXT=.txt  # set extension for @OKFILE and @OUTFILE placeholders (defaults for runDiff)

# Test ProbabilityPlot_text_option.
runFullTest 'text_option'  $SAVEFILE @OUT.txt --text

rm -f $SAVEFILE

endTestBlock # End a group of tests. Also cleans up orphaned files etc.
